curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/wallets/create/user_123/ \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
wallet = client.wallets.create("user_123")
print(wallet["id"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const wallet = await client.wallets.create("user_123");
console.log(wallet.id);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hpay-api.host-sl.com/api/v1/wallets/create/user_123/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => [
"api-key: YOUR_API_KEY",
"secret-key: YOUR_SECRET_KEY"
]
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
?>
{
"id": "wall_123",
"user_id": "user_123",
"balance": 0.0,
"currency": "SLE",
"is_active": true
}
{
"detail": "Wallet already exists for this user"
}
{
"detail": "Invalid application credentials"
}
{
"detail": "User not found"
}
Wallets
Create Wallet
Create a new wallet for a specific user
POST
/
api
/
v1
/
wallets
/
create
/
{user_id}
/
curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/wallets/create/user_123/ \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
wallet = client.wallets.create("user_123")
print(wallet["id"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const wallet = await client.wallets.create("user_123");
console.log(wallet.id);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hpay-api.host-sl.com/api/v1/wallets/create/user_123/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => [
"api-key: YOUR_API_KEY",
"secret-key: YOUR_SECRET_KEY"
]
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
?>
{
"id": "wall_123",
"user_id": "user_123",
"balance": 0.0,
"currency": "SLE",
"is_active": true
}
{
"detail": "Wallet already exists for this user"
}
{
"detail": "Invalid application credentials"
}
{
"detail": "User not found"
}
Endpoint
POST /api/v1/wallets/create/{user_id}/
Path Parameters
string
required
The unique identifier of the user to create a wallet for.
Headers
string
required
Your application API key
string
required
Your application secret key
Response
string
The unique identifier of the created wallet.
string
The ID of the user who owns the wallet.
number
The initial balance of the wallet (defaults to 0.0).
string
The currency of the wallet balance.
boolean
Whether the wallet is currently active.
curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/wallets/create/user_123/ \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
wallet = client.wallets.create("user_123")
print(wallet["id"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const wallet = await client.wallets.create("user_123");
console.log(wallet.id);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hpay-api.host-sl.com/api/v1/wallets/create/user_123/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => [
"api-key: YOUR_API_KEY",
"secret-key: YOUR_SECRET_KEY"
]
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
?>
{
"id": "wall_123",
"user_id": "user_123",
"balance": 0.0,
"currency": "SLE",
"is_active": true
}
{
"detail": "Wallet already exists for this user"
}
{
"detail": "Invalid application credentials"
}
{
"detail": "User not found"
}